summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap21
1 files changed, 21 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..ac327fd
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+aclocal -I m4 && \
+ autoheader && \
+ libtoolize --copy --force && \
+ autoconf && \
+ automake --add-missing --copy
+
+status=$?
+
+if [ $status == 0 ]; then
+ if [ -n "$1" ]; then
+ [ "$1" == "configure" ] && shift || :
+ ./configure $*
+ status=$?
+ fi
+else
+ echo "Failed to bootstrap."
+fi
+
+exit $status